Subject: Re: Trying to build Eterm - Need help
From: "J.Larsen" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 17 Sep 2002 12:38:52 +0300

Hi,

install cygipc package, which is optional. Visit
cygwin.com and try to find the link to the package.

ipc package contains all shared memory (shmat())
and other IPC related funtionality. It runs as an
server, however you also can configure it as an
service.

Keep me informed about the errors you'll find after
installing cygipc :-)

-Jack

Date:  Mon, 16 Sep 2002 12:41:26 -0600 
From:  [email-masked] 
Subject:  Trying to build Eterm - Need help 
To:  [email-masked] 

Hello,
I am running Win2K service pack2, I have downloaded the latest version of Cygwin
(as of 13-Sept-02). I have downloaded the following packages as well:
1) Imlib2-1.0.6.tar.gz
2)libAST-0.4.tar.gz
3)Eterm-0.9.1.tar.gz

I was able to build libAST, without imlib2 support. When I try to build Imlib2,
I get the following error running ./configure:

[FROM config.log]
configure:2769: checking for shmat
configure:2797: gcc -o conftest -g -O2 conftest.c 1>&5
/cygdrive/c/DOCUME~1/ROBERT~1/LOCALS~1/Temp/ccW7cN5X.o: In function `main':
/usr/local/imlib2-1.0.6/configure:2791: undefined reference to `shmat'
collect2: ld returned 1 exit status
configure: failed program was:
#line 2774 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char shmat(); below. */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char shmat();

int main() {

/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined (__stub_shmat) || defined (__stub___shmat)
choke me
#else
shmat();
#endif

; return 0; }
configure:2818: checking for shmat in -lipc
configure:2837: gcc -o conftest -g -O2 conftest.c -lipc 1>&5
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld:
cannot find -lipc
collect2: ld returned 1 exit status
configure: failed program was:
#line 2826 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char shmat();

int main() {
shmat()
; return 0; }
configure:2870: checking for IceConnectionNumber in -lICE
configure:2889: gcc -o conftest -g -O2 -L/usr/X11R6/lib conftest.c -lICE 1>
&5
configure:2928: checking for XOpenDisplay in -lX11
configure:2947: gcc -o conftest -g -O2 conftest.c -lX11 -L/usr/X11R6/lib
1>&5
configure:2969: checking for XShmAttach in -lXext
configure:2988: gcc -o conftest -g -O2 conftest.c -lXext -lX11
-L/usr/X11R6/lib 1>&5
/cygdrive/c/DOCUME~1/ROBERT~1/LOCALS~1/Temp/cch4uq5F.o: In function `main':
/usr/local/imlib2-1.0.6/configure:2984: undefined reference to `XShmAttach'
collect2: ld returned 1 exit status
configure: failed program was:
#line 2977 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char XShmAttach();

int main() {
XShmAttach()
; return 0; }
configure:3007: checking for XShmAttach in -lXextSam
configure:3026: gcc -o conftest -g -O2 conftest.c -lXextSam -lX11
-L/usr/X11R6/lib 1>&5
/usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/../../../../i686-pc-cygwin/bin/ld:
cannot find -lXextSam
collect2: ld returned 1 exit status
configure: failed program was:
#line 3015 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char XShmAttach();

int main() {
XShmAttach()
; return 0; }

[END FROM config.log]

I have read some other posts, indicating that I may have to re-build the X
libraries, but the most recent one is from 2001. Is this still the case? Do I
need to rebuild the Xfree86 sources? Is there anything else I need to know?

Thanks in advance for any help you can give me.

Robert Cavanaugh
Senior Firmware Engineer
Flextronics Design
Mountain States Engineering
Salt Lake City, Utah
(801)-685-9330

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/